//******************************************************************//
//File Name: generalDriver.h                                        //
//Version:   2.0                                                    //
//Company    Tri-M Engineering                                      //
//Date:      Oct. 29, 2002                                          //
//                                                                  //
//this header file together with generalDriver.o export functions   //
//for controlling following boards                                  //
//                                                                  //
//1. IR104                                                          //
//2. R104-88                                                        //
//3. R104-16DO                                                      //
//4. R104-16DI                                                      //
//5. IO104-60IN                                                     //
//                                                                  //
//In order to use the function declared in this file, user can      //
//compile his/her program by command as                             //
//                                                                  //
//#gcc -o result generalDriver.o userfile.c                         //  
//******************************************************************//

#include <stdio.h>
#include <stdlib.h>
#include <sys/io.h>


//for IR104 board
int IR104SetRelay(unsigned int addr, unsigned int relay);
int IR104ResetRelay(unsigned int addr, unsigned int relay);
int IR104RelayRead(unsigned int addr, unsigned int relay, unsigned int *value);
int IR104OptoRead(unsigned int addr, unsigned int opto, unsigned int *value);
//for R104-88 board
int R104_88SetRelay(unsigned int addr, unsigned int relay);
int R104_88ResetRelay(unsigned int addr, unsigned int relay);
int R104_88OptoRead(unsigned int addr, unsigned int opto, unsigned int *value);
//for R104-16DO board
int R104_16DOSetRelay(unsigned int addr, unsigned int relay);
int R104_16DOResetRelay(unsigned int addr, unsigned int relay);
//for R104-16DI board
int R104_16DIOptoRead(unsigned int addr, unsigned int opto, unsigned int *value);
//for IO104-60IN board
int IO104_60INOptoRead(unsigned int addr, unsigned int opto, unsigned int * value);

